
version: '3.6'

services:

  backend-core:
    image: 313.co.kr:5550/313devgrp/java-service-tree-framework-backend-core:24.11.37
    ports:
      - 31313:31313
    environment:
      ARMS_DETAIL_CONNECT_URL: www.a-rms.net
      SLACK_TOKEN: xoxb-6506875664277-6522692878945-oPqPDaebTVqUNHQfoIokVc9y
      SPRING_PROFILES_ACTIVE: live # 여기에 원하는 프로파일을 설정
      TZ: Asia/Seoul
    volumes:
      - /nfs/allinone/app/backend-core:/mnt
    deploy:
      mode: replicated
      replicas: 1
    networks:
      - allinoneNetwork
    logging: &allinoneLogging
      driver: "json-file"
      options:
        max-file: "5"
        max-size: "100m"

networks:
  allinoneNetwork:
    driver: overlay
    attachable: true
